KDE 4.5 PyKDE API Reference

- KDE's Python API

# MarbleGraphicsGridLayout Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.AbstractMarbleGraphicsLayout
Namespace: Marble.MarbleGraphicsGridLayout

## Detailed Description

## Methods

| __init__ (self, int rows, int columns)
| addItem (self, Marble.ScreenGraphicsItem item, int row, int column)
Qt::Alignment | alignment (self)
Qt::Alignment | alignment (self, Marble.ScreenGraphicsItem item)
| setAlignment (self, Qt::Alignment align)
| setAlignment (self, Marble.ScreenGraphicsItem item, Qt::Alignment a1)
| setSpacing (self, int spacing)
int | spacing (self)
| updatePositions (self, Marble.MarbleGraphicsItem parent)

## Method Documentation

__init__ | ( | self, |
|  | int | rows,
|  | int | columns
| ) |  |  |

addItem | ( | self, |
|  | Marble.ScreenGraphicsItem | item,
|  | int | row,
|  | int | column
| ) |  |  |

Qt::Alignment alignment | ( |  | self ) |

Qt::Alignment alignment | ( | self, |
|  | Marble.ScreenGraphicsItem | item
| ) |  |  |

setAlignment | ( | self, |
|  | Qt::Alignment | align
| ) |  |  |

setAlignment | ( | self, |
|  | Marble.ScreenGraphicsItem | item,
|  | Qt::Alignment | a1
| ) |  |  |

setSpacing | ( | self, |
|  | int | spacing
| ) |  |  |

Set the spacing between the items inside the layout. By default the spacing is 0.

int spacing | ( |  | self ) |

Returns the spacing between the items inside the layout.

updatePositions | ( | self, |
|  | Marble.MarbleGraphicsItem | parent
| ) |  |  |

This updates the positions of all items in the layout. Calling this will be done on every repainting, so you won't have to do it yourself.